Bug 1013513 - "Export project version to TMX" option for a locale gives "403 Forbidden" error
"Export project version to TMX" option for a locale gives "403 Forbidden" error
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Usability (Show other bugs)
3.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Carlos Munoz
Zanata-QA Mailling List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-30 05:12 EDT by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.1-SNAPSHOT (20131002-1234)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:22:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Error while exporting project version to TMX for a locale (68.42 KB, image/png)
2013-09-30 05:12 EDT, Ani Peter
no flags Details
Workaround to export the project version to TMX for a locale (102.29 KB, image/png)
2013-09-30 05:13 EDT, Ani Peter
no flags Details
Export project version to TMX for all locales (99.61 KB, image/png)
2013-09-30 05:14 EDT, Ani Peter
no flags Details

  None (edit)
Description Ani Peter 2013-09-30 05:12:44 EDT
Created attachment 805011 [details]
Error while exporting project version to TMX for a locale

Description of problem:

The "Export project version to TMX" option for a particular locale gives the following error :- 
"403 - Forbidden You do not have permission to access this resource on this server".
(Please see attachment: tmx_error.png)

When the locale name is entered at the end of the page address, you will be able to download the TMX for that locale.
(Please see attachment: workaround.png)

The "Export project version to TMX" option on project page for all locales works fine.
(Please see attachment: alllocales_tmx.png)

Version-Release number of selected component (if applicable):
Zanata 3.0

How reproducible:
Always

Steps to Reproduce:
1. Open a project in translate.engineering.redhat.com, say, abrt : https://translate.engineering.redhat.com/project/view/abrt
2. Click on the version to get the language list.
3. Click on the "Export project version to TMX" icon next to any locale, say ml.


Actual results:
Reproducing above steps, you get the error - "403 - Forbidden You do not have permission to access this resource on this server"

Expected results:
Should be able to download the TMX for the locale chosen

Additional info:
Providing the locale name at the end of the webpage address will enable you to download the locale tmx.
Comment 1 Ani Peter 2013-09-30 05:13:38 EDT
Created attachment 805012 [details]
Workaround to export the project version to TMX for a locale
Comment 2 Ani Peter 2013-09-30 05:14:36 EDT
Created attachment 805013 [details]
Export project version to TMX for all locales
Comment 3 Carlos Munoz 2013-10-01 02:19:56 EDT
Fixed the url generated to download the tmx file. 
Also moved around some of the icons to give them more space and differentiation.

See:
https://github.com/zanata/zanata-server/pull/210
Comment 4 Ding-Yi Chen 2013-10-02 20:42:26 EDT
VERIFIED with Zanata version 3.1-SNAPSHOT (20131002-1234)
Comment 5 Sean Flanigan 2013-11-26 22:22:10 EST
Closing bugs which were VERIFIED with snapshots <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.